/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\Thanksgiving 2008\ThanksgivingBag.cs
Lines of code: 30
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class ThanksgivingBag : Bag
	{
		[Constructable]
		public ThanksgivingBag( )
		{
			Hue = 1870;
			DropItem( new ThanksgivingTrophy() );   
			DropItem( new ThanksgivingPie() );   
			DropItem( new randomartydeed() );     
		}

		public ThanksgivingBag( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}